#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#for to set critical file within /sbin
%global		cname		mkinitramfs
#-----------------------------------------------------------------------------
Name		:	mkinitramfs
Version		:	1.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Creates an initial ramdisk image for preloading modules.
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2

Source0		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch 

Requires	:	LVM2
Requires	:	coreutils
Requires	:	grep
Requires	:	less
Requires	:	mdadm
Requires	:	psmisc
Requires	:	procps-ng
Requires	:	eudev
Requires	:	util-linux
Requires	:	which
Requires	:	bash, sash

Requires	:	microcode
#-----------------------------------------------------------------------------
%description
Mkinitrd creates filesystem images for use as initial ramdisk (initrd)
images.  These ramdisk images are often used to preload the block
device modules (SCSI or RAID) needed to access the root filesystem.

In other words, generic kernels can be built without drivers for any
SCSI adapters which load the SCSI driver as a module.  Since the
kernel needs to read those modules, but in this case it isn't able to
address the SCSI adapter, an initial ramdisk is used.  The initial
ramdisk is loaded by the operating system loader (normally LILO) and
is available to the kernel as soon as the ramdisk is loaded.  The
ramdisk image loads the proper SCSI adapter and allows the kernel to
mount the root filesystem.  The %{cname} program creates such a
ramdisk using information found in the /etc/modules.conf file

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc version-%{version}
%attr (0700,root,root) %{_sbindir}/%{cname}
%attr (0700,root,root) %{_sbindir}/un%{cname}
%attr (0700,root,root) %{_sbindir}/new-kernel-pkg
%attr (0700,root,root) %{_sbindir}/del-kernel-pkg
%{_datadir}/%{cname}/init.in

#=============================================================================
%prep
%setup -q -n %{name}-ok_addon
%define _exec_prefix %{nil}

#-----------------------------------------------------------------------------
#building application
%build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sbindir}

%{__cp}							\
	%{cname}					\
	un%{cname}					\
	new-kernel-pkg					\
	del-kernel-pkg					\
	%{buildroot}%{_sbindir}

%{__mkdir_p} %{buildroot}%{_datadir}/%{cname}
%{__cp} init.in %{buildroot}%{_datadir}/%{cname}
	

#-----------------------------------------------------------------------------
%changelog
